> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate EVC OTP

> Generate EVC OTP to authenticate tax payer for filing returns.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/evc/otp
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/evc/otp:
    post:
      tags:
        - Taxpayer
        - Taxpayer Auth
      summary: Generate EVC OTP
      description: Generate OTP to the users for filing through EVC.
      operationId: generateEvcOtp
      parameters:
        - name: gstr
          in: query
          description: 'GSTR Type. Example: gstr-1'
          required: true
          schema:
            type: string
            example: '{{gst_return}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - pan
              properties:
                pan:
                  type: string
                  description: PAN of the authorized signatory
            examples:
              200 Success:
                value:
                  pan: ABCCQ3123E
                summary: 200 Success
              OTP0010 Not authorized signatory:
                value:
                  pan: AAACQ3770E
                summary: OTP0010 Not authorized signatory
      responses:
        '200':
          description: 200 Success / OTP0010 Not authorized signatory
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: OTP0010
                          message:
                            type: string
                            example: >-
                              User does not have authorized signatory for Given
                              Pan number and GSTIN
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641
                  transaction_id:
                    type: string
                    example: 6d2a2353-1664-4315-9fc3-536d4f753c1a
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                    timestamp: 1763446641
                    transaction_id: 6d2a2353-1664-4315-9fc3-536d4f753c1a
                OTP0010 Not authorized signatory:
                  summary: OTP0010 Not authorized signatory
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: OTP0010
                        message: >-
                          User does not have authorized signatory for Given Pan
                          number and GSTIN
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: ed1295e9-9e4d-4650-9583-830b221cb1f6
          headers: {}
      deprecated: false
      security: []

````